#
# Install script for a single instance of the application process
# Assumes: JAVA_HOME environment variable points at your JVM
#        : The UCD udclient is in the current directory or on your path
#
if ( $args.count -eq 6)
{
    $APPNAME= $args[0]
    $ROLENAME= $args[1]
    $AUTHTOKEN= $args[2]
    $SERVERHOST=$args[3]
    $ADMINUSER=$args[4]
    $ADMINPW=$args[5]
    filter sed($before,$after) { %{$_ -replace $before,$after} }
    cat updateStatusAppProcess.json | sed "xxAppNamexx" "$APPNAME" | sed "xxAUTHTOKENxx" "$AUTHTOKEN" | sed "xxSERVERHOSTxx" "$SERVERHOST" | sed "xxRolexx" "$ROLENAME" | udclient --weburl https://${SERVERHOST} --username "$ADMINUSER" --password "$ADMINPW" createApplicationProcess -
}
else
{
	Write-Host "Arguments are AppName RoleName UCDAuthToken ServerHostName:Port UCDAdminUser UCDPassword"
}
