#!/bin/bash
# This script configures the import for the specfic instance of the application
if [ $# != 6 ] ; then
	echo "Arguments are: AppName Rolename UCDAuthToken ServerHostName:Port UCDAdminUser UCDPassword"
else
	APPNAME=$1
	ROLENAME=$2
	AUTHTOKEN=$3
	SERVERHOST=$4
	ADMINUSER=$5
	ADMINPW=$6
	sed -e "s/xxAppNamexx/${APPNAME}/" -e "s/xxAUTHTOKENxx/${AUTHTOKEN}/" -e "s/xxSERVERHOSTxx/${SERVERHOST}/" -e "s/xxRolexx/${ROLENAME}/" updateStatusAppProcess.json | udclient --weburl https://${SERVERHOST} --username "${ADMINUSER}" --password "${ADMINPW}" createApplicationProcess -

fi
